Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.aggregation
Class AggregateHandle

    java.lang.Object
      rice.p2p.aggregation.AggregateHandle

All Implemented Interfaces:
  java.io.Serializable, GCPastContentHandle, RawGCPastContentHandle, PastContentHandle, RawPastContentHandle

    public class AggregateHandle

extends java.lang.Object
implements RawGCPastContentHandle

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary
`protected long` | `expiration` DESCRIBE THE FIELD
`protected NodeHandle` | `handle` DESCRIBE THE FIELD
`protected Id` | `id` DESCRIBE THE FIELD
`static short` | `TYPE` DESCRIBE THE FIELD
`protected long` | `version` DESCRIBE THE FIELD

Constructor Summary
`AggregateHandle(InputBuffer buf, Endpoint endpoint)` Constructor for AggregateHandle.
`AggregateHandle(NodeHandle handle, Id id, long version, long expiration)` Constructor for AggregateHandle.

Method Summary
`long` | `getExpiration()` Gets the Expiration attribute of the AggregateHandle object
`Id` | `getId()` Gets the Id attribute of the AggregateHandle object
`NodeHandle` | `getNodeHandle()` Gets the NodeHandle attribute of the AggregateHandle object
`short` | `getType()` Gets the Type attribute of the AggregateHandle object
`long` | `getVersion()` Gets the Version attribute of the AggregateHandle object
`void` | `serialize(OutputBuffer buf)` DESCRIBE THE METHOD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected Id id

  DESCRIBE THE FIELD

### handle

    protected NodeHandle handle

  DESCRIBE THE FIELD

### version

    protected long version

  DESCRIBE THE FIELD

### expiration

    protected long expiration

  DESCRIBE THE FIELD

### TYPE

    public static final short TYPE

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

Constructor Detail

### AggregateHandle

    public AggregateHandle(NodeHandle handle,
                           Id id,
                           long version,
                           long expiration)

  Constructor for AggregateHandle.

  Parameters:
    `handle` - DESCRIBE THE PARAMETER
    `id` - DESCRIBE THE PARAMETER
    `version` - DESCRIBE THE PARAMETER
    `expiration` - DESCRIBE THE PARAMETER

### AggregateHandle

    public AggregateHandle(InputBuffer buf,
                           Endpoint endpoint)
                    throws java.io.IOException

  Constructor for AggregateHandle.

  Parameters:
    `buf` - DESCRIBE THE PARAMETER
    `endpoint` - DESCRIBE THE PARAMETER
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

Method Detail

### getId

    public Id getId()

  Gets the Id attribute of the AggregateHandle object

  Specified by:
    `getId` in interface `PastContentHandle`
  Returns:
    The Id value

### getNodeHandle

    public NodeHandle getNodeHandle()

  Gets the NodeHandle attribute of the AggregateHandle object

  Specified by:
    `getNodeHandle` in interface `PastContentHandle`
  Returns:
    The NodeHandle value

### getVersion

    public long getVersion()

  Gets the Version attribute of the AggregateHandle object

  Specified by:
    `getVersion` in interface `GCPastContentHandle`
  Returns:
    The Version value

### getExpiration

    public long getExpiration()

  Gets the Expiration attribute of the AggregateHandle object

  Specified by:
    `getExpiration` in interface `GCPastContentHandle`
  Returns:
    The Expiration value

### getType

    public short getType()

  Gets the Type attribute of the AggregateHandle object

  Specified by:
    `getType` in interface `RawPastContentHandle`
  Returns:
    The Type value

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  DESCRIBE THE METHOD

  Specified by:
    `serialize` in interface `RawPastContentHandle`
  Parameters:
    `buf` - DESCRIBE THE PARAMETER
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.